Bug 818853 - pitivi render is paused forever
pitivi render is paused forever
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pitivi (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-04 04:10 EDT by Michal Ambroz
Modified: 2013-07-31 22:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 22:42:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Ambroz 2012-05-04 04:10:08 EDT
Description of problem:
When I open even trivial project in pitivi (1 video file to convert) the render process hangs forever in the estimation phase. As soon as I push render button and choose the output video paramers and proceed to render, there is popup message about estimating the time, and it hangs there forever.
I can play whole video in the preview, but I can't render it.


Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. open new project
2. add 1 video to the project (
3. render
  
Actual results:
Time estimation process hangs forever and video doesn't render.

Expected results:
Video should start rendering.

Additional info:
On console there is this error message repeated several times:
ERROR [ 3399] [0x7f5ae2d55740] "<Pipeline at 0x3192710>"        pipeline          May 04 03:02:42      _handleErrorMessage: error from /GstPipeline:pipeline0/GstBin:bin0/GnlComposition:gnlcomposition0/GnlSource:gnlsource: FileSourceFactory0/GstBin:bin1/pitivi+elements+singledecodebin+SingleDecodeBin:pitivi+elements+singledecodebin+singledecodebin0/GstFileSrc:urisrc (__main__.GstFileSrc): GStreamer encountered a general stream error. (gstbasesrc.c(2625): gst_base_src_loop (): /GstPipeline:pipeline0/GstBin:bin0/GnlComposition:gnlcomposition0/GnlSource:gnlsource: FileSourceFactory0/GstBin:bin1/pitivi+elements+singledecodebin+SingleDecodeBin:pitivi+elements+singledecodebin+singledecodebin0/GstFileSrc:urisrc:
streaming task paused, reason not-linked (-1)) (/usr/share/pitivi/python/pitivi/pipeline.py:858)
Comment 1 Michal Ambroz 2012-05-04 04:15:30 EDT
Estimation hangs if you use even 1 JPG picture as video source and probably anything as output video codec (I was trying Webm, ogg, and several ffmpeg codecs.
Comment 2 Michal Ambroz 2012-05-04 04:35:22 EDT
I have tried to download pristine 0.15.2. from the upstream and that one renders just fine.
I was using just ./configure --prefix=/usr && make && bin/pitivi

Same applies for the version from git repository.

Best regards
Michal Ambroz
Comment 3 Fedora End Of Life 2013-07-03 19:45:40 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-07-31 22:42:05 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.